Arch: CloseHoles

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape

Arch CloseHoles.svg Arch CloseHoles

poziția meniului
Arch → Utilities → Close Holes
Workbenches
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Check


Descriere

Acest instrument identifică găuri/orificii (secvența circulară a marginilor deschise) într-un obiect Shape și încearcă să le închidă prin adăugarea unei fațete noi constrută pe acea secvență de margini. Totuși, trebuie să vă asigurați că rezultatul este un obiect solid.

Cum se folosește

  1. Selectați un obiect Shape
  2. Apăsați Arch CloseHoles.png Close Holes entry in Arch -> Utilities menu

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

solid = closeHole(shape)

închide o gaură într-o formă deschisă

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape